open Ast_mapper

val handle_error : (unit -> 'a) -> 'a
(** [handle_error f] executes [f ()] and if it raises exception
    it reports it and exit with status 2. *)

val run :
  (string * Arg.spec * string) list
  -> string
  -> (unit -> unit)
  -> (unit -> mapper)
  -> unit
(** [run opts name initf make_mapepr] runs the mapper made by [make_mapper].
    [name] is used for reporting errors raised by the mapper.
    [opts] are extra options additional to the command line options of
    the ppxx process.

    [initf] is for initialization which is called prior to the processing 
    of each input file.

    [make_mapper] is a function to create a mapper instead of a mapper itself. 
    Ppxx restores some of the contexts of the parent process before calling
    the mapper maker so that it can branch different mappers depending on
    the context.
*)
